%define upstream_name       WWW-Google-Images
%define upstream_version    0.6.5

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 1
Summary:        Google Images Agent
License:        GPL or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}
Source:         http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:         WWW-Google-Images-0.6.5-fix-tests.patch
Patch1:         WWW-Google-Images-0.6.5-fix-mechanize-error-handling.patch
Buildrequires:  perl(Test::URI)
Buildrequires:  perl(WWW::Mechanize)
Buildrequires:  perl(Image::Info)
Buildarch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This module may be used search images on Google. Its interface is heavily
inspired from WWW::Google::Groups.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
%patch0 -p 1
%patch1 -p 1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc ChangeLog README
%{perl_vendorlib}/WWW
%{_mandir}/*/*
%{_bindir}/*



%changelog
* Sun Sep 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.5-1mdv2010.0
+ Revision: 438992
- fix tests
- fix WWW::Mechanize crash when following non-existing link
- new perl_version macro

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - rebuild

* Sun Dec 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.5-1mdv2008.1
+ Revision: 139537
- update to new version 0.6.5

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Aug 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.4-1mdv2007.0
- New version 0.6.4
- enable test

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.2-4mdk
- Fix SPEC according to Perl Policy
    - BuildRequires
    - Source URL

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.2-3mdk
- Fix BuildRequires

* Sat Jun 11 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.2-2mdk
- don't ship useless empty dirs
- spec cleanup
- make test in %%check

* Fri May 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.2-1mdk
- 0.6.2

* Mon Apr 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.1-1mdk
- new release
- disabled test, as it seems unpredictable results occurs

* Thu Feb 03 2005 Guillaume Rousse <guillomovitch@mandrake.org> 0.6.0-1mdk 
- new version

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.5.1-2mdk
- fix buildrequires in a backward compatible way

* Thu Nov 04 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 0.5.1-1mdk
- New release 0.5.1

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.5-1mdk 
- new version
- rpmbuildupdate aware

* Tue Apr 13 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.4-1mdk
- first mdk release

